<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".LabelDetail_Activity">

<!--    <androidx.constraintlayout.widget.ConstraintLayout-->
<!--        android:id="@+id/layout_confirm_print"-->
<!--        android:layout_width="150dp"-->
<!--        android:layout_height="150dp"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent">-->

<!--        <Button-->
<!--            android:id="@+id/button"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:text="Button"-->
<!--            app:layout_constraintEnd_toEndOf="parent"-->
<!--            app:layout_constraintStart_toStartOf="parent" />-->
<!--    </androidx.constraintlayout.widget.ConstraintLayout>-->

    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text=""
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">

        <TextView
            android:id="@+id/txt_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:maxLines="1"
            android:text="User :"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_device"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="right"
            android:text="Divice :"
            android:textColor="@color/white"
            android:textSize="16sp"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_date"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

        <TextView
            android:id="@+id/textView1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Date"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/txt_date"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.65"
            android:background="@drawable/img_background_gray"
            android:drawableEnd="@android:drawable/ic_menu_today"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/txt_etg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="invisible"
            android:layout_weight="1"
            android:gravity="center"
            android:textSize="20dp"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:background="@color/color_red"
            android:text="ETG" />


    </LinearLayout>



    <LinearLayout
        android:id="@+id/layout_part_no"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_date">

        <TextView
            android:id="@+id/textView21"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Parts No."
            android:background="@drawable/button_background_yellow"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/txt_part_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.33"
            android:gravity="center"
            android:textColor="@color/black"
            android:drawableEnd="@android:drawable/arrow_down_float"
            android:background="@drawable/img_background_gray"
            android:textSize="17sp" />
    </LinearLayout>

    <LinearLayout
                android:id="@+id/layout_name"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="2dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/layout_part_no">

                <TextView
                    android:id="@+id/textView22"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_weight="1"
                    android:gravity="left|center"
                    android:text="Name"
                    android:textColor="@color/black"
                    android:textSize="17sp" />

                <TextView
                    android:id="@+id/txt_part_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.33"
                    android:gravity="center"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:background="@drawable/img_background_gray"
                    android:textSize="17sp" />
            </LinearLayout>


    <LinearLayout
        android:id="@+id/lbl_model_color"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_name">

        <TextView
            android:id="@+id/textView100"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1.2"
            android:gravity="left|center"
            android:text="Mdl/Clr"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/txt_model_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="17sp" />


        <TextView
            android:id="@+id/txt_color_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="17sp" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/lbl_mc_shift"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/lbl_model_color">

        <TextView
            android:id="@+id/textView101"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1.2"
            android:gravity="left|center"
            android:text="MC/Shift"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/txt_mc_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="17sp" />


        <TextView
            android:id="@+id/txt_shift"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="17sp" />
    </LinearLayout>


            <LinearLayout
                android:id="@+id/layout_lot"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="2dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/lbl_mc_shift">

                <TextView
                    android:id="@+id/textView23"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_weight="1"
                    android:gravity="left|center"
                    android:text="Lot No."
                    android:textColor="@color/black"
                    android:textSize="17sp" />

                <EditText
                    android:id="@+id/edt_lot_no"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.33"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:background="@drawable/img_background_gray"
                    android:textSize="17sp" />
            </LinearLayout>



    <LinearLayout
        android:id="@+id/layout_act_qty"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_lot">

        <LinearLayout
            android:id="@+id/layout_edt_act_qty"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <TextView
                android:id="@+id/textView25"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="1"
                android:gravity="left|center"
                android:text="Actual total Qty"
                android:textColor="@color/black"
                android:textSize="17sp" />

            <EditText
                android:id="@+id/edt_act_qty"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/img_background_gray"
                android:gravity="center"
                android:inputType="numberDecimal"
                android:textColor="@color/black"
                android:textSize="17sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_per_box_old"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:visibility="gone">

            <TextView
                android:id="@+id/textView250"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="1"
                android:gravity="left|center"
                android:text="Qty per Box Old"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/txt_per_box_old"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/textview_background_gray"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="16sp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
                android:id="@+id/layout_qty_per_box"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="2dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/layout_act_qty">

                <LinearLayout
                    android:id="@+id/layout_qty_pbox"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1">

                <TextView
                    android:id="@+id/textView26"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_weight="0.68"
                    android:gravity="left|center"
                    android:text="Qty per Box"
                    android:textColor="@color/black"
                    android:textSize="17sp" />

                <EditText
                    android:id="@+id/edt_qty_per_box"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.65"
                    android:inputType="numberDecimal"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:background="@drawable/img_background_gray"
                    android:textSize="17sp" />

                    <TextView
                        android:id="@+id/txt_control_unit"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:textSize="17sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_outbound_qty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone"
                    android:layout_weight="1">

                    <TextView
                        android:id="@+id/textView260"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="4dp"
                        android:layout_weight="1"
                        android:gravity="left|center"
                        android:text="Outbound Qty"
                        android:textColor="@color/black"
                        android:textSize="16sp" />

                    <EditText
                        android:id="@+id/edt_outbound_qty"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="0.7"
                        android:inputType="numberDecimal"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:background="@drawable/img_background_gray"
                        android:textSize="16sp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_button"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <Button
                    android:id="@+id/btn_clear"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_yellow"
                    android:text="Clear [P3]"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:textSize="17dp" />

                <Button
                    android:id="@+id/btn_reprint"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_green"
                    android:gravity="center"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:text="Reprint [P2]"
                    android:textSize="17dp" />

                <Button
                    android:id="@+id/btn_confirm"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:onClick="onClick"
                    android:background="@drawable/button_background_blue"
                    android:gravity="center"
                    android:textAllCaps="false"
                    android:text="Confirm [P4]"
                    android:textSize="16dp" />
            </LinearLayout>

            <EditText
                android:id="@+id/txt_label_issue_tmp"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:background="@color/white"
                android:inputType="none"
                android:padding="5dp"
                android:visibility="visible"
                app:layout_constraintTop_toBottomOf="@+id/layout" />

        </androidx.constraintlayout.widget.ConstraintLayout>